<?php
/*
	DevSaver Web Framework
	Copyright (c) 2002-2018 DevSaver. 
	All rights reserved.
		web:  www.devsaver.com
		mail: support@devsaver.com
*/

if (!defined("STPBase")) {
	die("This file can't be accessed directly!");
}
// dependencies

/**
* description
*
* @library	
* @author	
* @since	
*/
class CPHPInfo extends CPlugin{
	
	var $tplvars; 

	function __construct() {
		//$this->CPlugin($db, $tables , $templates);		
		$this->name = "phpinfo";
	}

	function DoEvents(){
		global $base, $_CONF, $_TSM , $_VARS , $_USER , $_BASE , $_SESS;

		if ($_GET["mod"] == $this->name) {

			$this->tpl_module = array(
				"module_code"	=> $this->name,
				"module_name"	=> "PHP Information",
			);

			parent::doEvents();

			$sub = $_GET["sub"];
			$action = $_GET["action"];



			switch ($sub) {

				case "info":
					echo "<style> body { background: transparent!important; }</style>";
					phpinfo();
					die();
				break;
					
				default:

					$tpl = new CTemplateDynamic($this->tpl_path . "main.htm");
					return $tpl->blockReplace("Main");
				break;
			}			
		}

		parent::DoEvents();

	}	
}

?>